POST
Criar subcategoria

Authorizations

Authorization
string
header
required

HTTP Basic com o token como usuário e o secret como senha: curl -u dpz_tk_…:dpz_sk_…. Crie a chave em https://despezzas.com/settings/api-keys.

Body

application/json
category_id
string
required

Categoria pai.

Example:

"b1a2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"

name
string
required

Nome.

Example:

"Supermercado"

icon_background_color
string | null

Cor de fundo (hex).

Example:

"#F97316"

icon_name
string | null

Nome do ícone.

Example:

"shopping-cart"

image
string | null

Imagem (URL).

Example:

null

is_essential
boolean

Gasto essencial.

Example:

true

is_hidden
boolean

Ocultar.

Example:

false

Response

Sucesso.

category_id
string
required

Categoria pai.

Example:

"b1a2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"

id
string
required

Id.

Example:

"d7e8f9a0-b1c2-4d3e-8f4a-5b6c7d8e9f0a"

is_essential
boolean
required

Gasto essencial.

Example:

true

is_hidden
boolean
required

Oculta pelo usuário.

Example:

false

name
string
required

Nome.

Example:

"Supermercado"

createdAt
string<date-time>

Criação.

Example:

"2026-09-01T09:00:00.000Z"

icon_background_color
string | null

Cor de fundo (hex).

Example:

"#F97316"

icon_name
string | null

Nome do ícone.

Example:

"shopping-cart"

image
string | null

Imagem (URL).

Example:

null

profile_id
string | null

Perfil de Acesso / empresa.

Example:

null

updatedAt
string<date-time>

Última alteração.

Example:

"2026-09-15T14:32:10.000Z"

user_id
string | null

Dono; nulo nas subcategorias do sistema.

Example:

null